<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>我的订单</title>
	<%--静态包含：base标签，css样式，js脚本--%>
	<%@ include file="/pages/common/head.jsp"%>
<style type="text/css">
	h1 {
		text-align: center;
		margin-top: 200px;
	}

	#main table tr td a{
		text-decoration: none;
	}
</style>
</head>
<body>
	
	<div id="header">
			<img class="logo_img" alt="" src="" >
			<span class="wel_word">我的订单</span>
		<%--静态包含，登录成功后的菜单--%>
		<%@ include file="/pages/common/login_success_menu.jsp"%>
	</div>
	
	<div id="main">
		<table>
			<tr>
				<td>日期</td>
				<td>商品名</td>
				<td>金额</td>
				<td>状态</td>
<%--				<td>详情</td>--%>
				<td>订单号</td>
			</tr>

			<tr>
				<c:forEach items="">

				</c:forEach>
				<td>
					<c:if test="${not empty sessionScope.cartItem}">
						${sessionScope.year}.${sessionScope.month}.${sessionScope.day}
					</c:if>
				</td>

				<td>
					<c:if test="${empty sessionScope.orderId}">

					</c:if>
					<c:if test="${not empty sessionScope.orderId}">
						${sessionScope.cartItem.name}
					</c:if>
				</td>

				<td>
					<c:if test="${empty sessionScope.orderId}">
						0.00
					</c:if>
					<c:if test="${not empty sessionScope.orderId}">
						${sessionScope.cartItem.totalPrice}
					</c:if>
				</td>

				<td>
<%--					未发货--%>
					<c:if test="${empty sessionScope.orderId}">
						未下单
					</c:if>
					<c:if test="${not empty sessionScope.orderId}">
						已下单
					</c:if>
				</td>

				<td>
					<c:if test="${not empty sessionScope.orderId}">
						${sessionScope.orderId}
					</c:if>
				</td>
<%--				<c:forEach items="${sessionScope.cartItem}" var="cartItem">--%>
<%--					--%>
<%--				</c:forEach>--%>

			</tr>
		</table>
		
	
	</div>


	<%--静态包含：页脚--%>
	<%@include file="/pages/common/footer.jsp"%>
</body>
</html>