<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page contentType="text/html;charset=UTF-8" language="java"  isELIgnored="false" %>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>订单管理</title>
	<%--静态包含：base标签，css样式，js脚本--%>
	<%@ include file="/pages/common/head.jsp"%>
</head>
<body>
	
	<div id="header">
			<img class="logo_img" alt="" src="" >
			<span class="wel_word">订单管理系统</span>
		<%--静态包含：图书馆里，订单管理，返回商城--%>
<%--		<%@include file="/pages/common/manager_menu.jsp"%>--%>
		<div>
<%--			<a href="manager/bookServlet?action=page">图书管理</a>--%>
		<a href="bookServlet?action=page">图书管理</a>
<%--			<a href="order_manager.jsp">订单管理</a>--%>
			<a href="index.jsp">返回商城</a>
		</div>
	</div>
	<div id="main">
		<table>
			<tr>
				<td>商品名</td>
				<td>数量</td>
				<td>价格</td>
				<td>总价</td>
				<td>订单号</td>
			</tr>
			<c:forEach items="${sessionScope.orderItemList}" var="orderItem">
				<tr>
					<td>${orderItem.name}</td>
					<td>${orderItem.count}</td>
					<td>${orderItem.price}</td>
					<td>${orderItem.total_price}</td>
					<td>${orderItem.order_id}</td>
				</tr>
			</c:forEach>

		</table>
		<%--<table>
			<tr>
				<td>日期</td>
				<td>金额</td>
				<td>详情</td>
				<td>发货</td>

			</tr>
			<tr>
				<td>2015.04.23</td>
				<td>90.00</td>
				<td><a href="#">查看详情</a></td>
				<td><a href="#">点击发货</a></td>
			</tr>

			<tr>
				<td>2015.04.20</td>
				<td>20.00</td>
				<td><a href="#">查看详情</a></td>
				<td>已发货</td>
			</tr>

			<tr>
				<td>2014.01.23</td>
				<td>190.00</td>
				<td><a href="#">查看详情</a></td>
				<td>等待收货</td>
			</tr>
		</table>--%>
	</div>

	<%--静态包含：页脚--%>
	<%@include file="/pages/common/footer.jsp"%>
</body>
</html>